---
title: RTCRtpStreamStats.codecId
slug: Web/API/RTCRtpStreamStats/codecId
tags:
  - API
  - Codec
  - Dictionary
  - Interface
  - Property
  - RTCRtpStreamStats
  - RTP
  - Reference
  - Statistics
  - WebRTC
  - WebRTC API
  - WebRTC Statistics
  - codecId
  - id
  - rtc
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The {{domxref("RTCRtpStreamStats")}} dictionary's <code><strong>codecId</strong></code> property is a string which uniquely identifies the object that was inspected to produce the data in the {{domxref("RTCCodecStats")}} for the {{Glossary("RTP")}} stream.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>codecID</em> = <em>RTCRtpStreamStats</em>.codecId;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} which uniquely identifies the object from which the contents of the stream's {{domxref("RTCCodecStats")}} are derived.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC Statistics Identifiers', '#dom-rtcrtpstreamstats-codecid', 'RTCRtpStreamStats.codecId')}}</td>
   <td>{{Spec2('WebRTC Statistics Identifiers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCRtpStreamStats.codecId")}}</p>
